POST api/jobs

Request Information

URI Parameters

None.

Body Parameters

CreateJobRequest
NameDescriptionTypeAdditional information
TradeCategoryId

integer

None.

TradeSubcategoryId

integer

None.

JobType

JobType

None.

Title

string

None.

Description

string

None.

BudgetMinimum

decimal number

None.

BudgetMaximum

decimal number

None.

PreferredDate

date

None.

PreferredTimeFrom

time interval

None.

PreferredTimeTo

time interval

None.

AddressId

globally unique identifier

None.

Latitude

decimal number

None.

Longitude

decimal number

None.

PropertyType

string

None.

AccessInstructions

string

None.

SafetyNotes

string

None.

PublishImmediately

boolean

None.

Request Formats

application/json, text/json

Sample:
{
  "tradeCategoryId": 1,
  "tradeSubcategoryId": 1,
  "jobType": "Emergency",
  "title": "sample string 2",
  "description": "sample string 3",
  "budgetMinimum": 1.0,
  "budgetMaximum": 1.0,
  "preferredDate": "2026-07-16T16:47:13.3976455+02:00",
  "preferredTimeFrom": "00:00:00.1234567",
  "preferredTimeTo": "00:00:00.1234567",
  "addressId": "1f733d4d-cbc2-44ae-ab0b-c4f99f55c31e",
  "latitude": 4.1,
  "longitude": 5.1,
  "propertyType": "sample string 6",
  "accessInstructions": "sample string 7",
  "safetyNotes": "sample string 8",
  "publishImmediately": true
}

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.